corda / net.corda.core.node / ServiceHub / recordTransactions

# recordTransactions

`abstract fun recordTransactions(txs: Iterable<SignedTransaction>): Unit`

Given a SignedTransaction, writes it to the local storage for validated transactions and then sends them to the vault for further processing. Expects to be run within a database transaction.

### Parameters

`txs` - The transactions to record.

`open fun recordTransactions(vararg txs: SignedTransaction): Unit`

Given some SignedTransactions, writes them to the local storage for validated transactions and then sends them to the vault for further processing.

### Parameters

`txs` - The transactions to record.